## vultures 2.2.100-1maemo1

=== dist/maemo/Makefile ===
DIR	= `pwd`

all:
	make build

build:
	make --directory=../.. PREFIX=$(DIR) GAMEDIR=$(DIR)/vultures.dir \
	SHELLDIR=$(DIR) GAMEPERM=0755 CHOWN=true CHGRP=true \
	-C nethack install >/dev/null

clean:
	make --directory=../.. clean
	rm -rf vultureseye vultures.dir debian/vultures

install:
	# Replace game directory name and install startup script
	sed -e 's/^HACKDIR=.*/HACKDIR=\/opt\/vultures/' vultureseye >tmp
	install -m 755 -D tmp $(DESTDIR)/usr/bin/vultureseye
	# Replace screen parameters in the default config
	cat vultures.dir/config/vultures.conf | \
	  sed -e 's/^screen_xsize=.*/screen_xsize=800/' | \
	  sed -e 's/^screen_ysize=.*/screen_ysize=480/' | \
	  sed -e 's/^fullscreen=.*/fullscreen=1/' >tmp
	mv tmp vultures.dir/config/vultures.conf
	# Install game data
	install -m 644 -dD vultures.dir $(DESTDIR)/opt/vultures
	cp -r vultures.dir/* $(DESTDIR)/opt/vultures
	# Install icons, etc
	install -m 644 -D vultures-26x26.png $(DESTDIR)/usr/share/icons/hicolor/26x26/hildon/vultures.png
	install -m 644 -D vultures-40x40.png $(DESTDIR)/usr/share/icons/hicolor/40x40/hildon/vultures.png
	install -m 644 -D vultures-64x64.png $(DESTDIR)/usr/share/icons/hicolor/scalable/hildon/vultures.png
	install -m 644 -D vultures.desktop $(DESTDIR)/usr/share/applications/hildon/vultures.desktop

uninstall:
	rm -rf $(DESTDIR)/opt/vultures
	rm -f $(DESTDIR)/usr/bin/vultureseye
	rm -f $(DESTDIR)/usr/share/applications/hildon/vultures.desktop
	rm -f $(DESTDIR)/usr/share/icons/hicolor/26x26/hildon/vultures.png
	rm -f $(DESTDIR)/usr/share/icons/hicolor/40x40/hildon/vultures.png
	rm -f $(DESTDIR)/usr/share/icons/hicolor/scalable/hildon/vultures.png

=== debian/changelog ===
vultures (2.2.100-1maemo1) stable; urgency=low

  * Packaged as a Debian native package for the autobuilder.

 -- Marat Fayzullin <marat@komkon.org>  Thu, 10 Dec 2009 15:26:17 +0100

vultures (2.2.100-1) stable; urgency=low

  * Ported application to Maemo.

 -- Marat Fayzullin <marat@komkon.org>  Mon, 07 Dec 2009 13:51:56 -0500

=== debian/control ===
Source: vultures
Section: user/games
Priority: optional
Maintainer: Marat Fayzullin <marat@komkon.org>
Build-Depends: debhelper (>= 4.0.0), gnupg, libpng12-dev, libsdl-mixer1.2-dev, libsdl-ttf2.0-dev
Standards-Version: 3.6.1

Package: vultures
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Nethack with graphical 3D interface
 Vulture's Eye is a version of Nethack with a graphical 3D interface
 similar to the commercial Diablo RPG.
XSBC-Bugtracker: http://talk.maemo.org/
XB-Maemo-Display-Name: Vulture's Eye
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAMAAABg3Am1AAAAAXNSR0IArs4c
 6QAAAv1QTFRFAAEABwAAAQQAAwYCBgkFCgwIDQ8LERMQFBMKFxYOFxgWGxgM
 GhkTHhsQHR0WIR8UIx8PJCEXJyQUJCQdJyUaKiYWLSkaKSooKiwbLCskKi0g
 MCwdMi0YLy0iMC4jNC8aMy8fMC8oLzIlMjMiODMeNzMjMzcpOzYgNjclPjcd
 OTgiPzkkPjkpOzozPTouPzsqPjwwRD0iQz0nPkAtQkEqSEAmR0ErSkMoR0My
 SUMtSUcqSEcwUEcnT0gtR0o9T0kzTksvU0swUk4sUE5BVk4yWE4uU1A0T1E+
 TlFDVFM7XVMzXFM4V1U4WVUzWlg7Xlo3Y1k4XVxDYl00aFw2Y188al8+ZmE4
 X2FNYWFIZGFUZmNFbWI7amQ8bGhEb2lAdGhAamtGbWpMdG0+c21Eb25Vcm9R
 dnBHdXBMfm88eXFCfHBIcnROdXdRd3dMgHhJf3hPgnlEhnhKf3pWfntchnxH
 hX1OhH5UfoBagYBVhYBcgIFsi4FMhIFhgoFnioJSiIVNh4dbkodSiIlii4ho
 jYtZjItflopOk4taloxWk49Xj450lJBYmZBflJJgm5FanZFVlZJymZRWk5Rt
 opZaoZZgnJlnpphWo5ppp5tepptkop9+rqFkraJqqaRrp6RxsaNgq6N3pqV3
 q6h1tqdkr6d7sKlqtahrsqh2r6txrKt9tKtmuqxos650sa56t617sq97u65w
 va5rtrBwsrGDt7J4srR4wbJut7SAu7OGxLVxu7iDvbh+t7iQxLd4yLdtwbly
 wLl5ybl1x7xwzLtwxbuIvr2OyLyEw76Ewr6K0L5tz75zx8CAy8F00MF8zMN8
 yMOIxcSV1cNx1MN4y8iTysqH2ch81cp90suK3cp41cyE28uF3cuA082Sz82e
 3NB81tSK5dF/3tOF3NOL5NKG19Se1das59WJ29iP2den4NqE69eE5tmE4tuZ
 5duT6NyO8duC7t+E7eGT6+GZ8OKN5+Ot9eKV6+aW7ueQ8Oim9umT8+mh+eih
 9+uc/PSW+vm0avvC3gAAAAF0Uk5TAEDm2GYAAAABYktHRACIBR1IAAAACXBI
 WXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH2QwIEwQpwR9i6AAAA8BJREFUSMdj
 YBgFRABmJjBg5uBkUlDhFOOG8nECBu5QDiYmIcGk/kbe2VbBs2dUB2uD9AiZ
 y3Bg18A2pU/F1dVw9dUYy/3cHadOnbpuIQYULzm4erI5NtsYWKftW3wwTXvZ
 Q4XSBpXVp04+jg21ZWIS3Tn1yul8UWwamDoOH74o2HjqHP9GrfjDp06e41h2
 MMB0cgszBxsrKysbNzcnB5qGxlvv3urbnG012sQz89atGxVGRmsevdjM4xUX
 F21rZh7Wc2B2oSknsoY5mw2MVaY8ts4sVdl59epr5ZLJYmK85rbe8clpaVl5
 jd5qK94cj+P1Sg7zsrU1N+RnYLICek1040ORZVpxl65e3M8//4H6ZIdVb96+
 fff2+dFWa0NXbl5RFbOg0IC0zhUryjgZwPYYblshf4Bn8u3bD3LND99TPWsk
 pqOnZ2ysoB3QuHGDdrtlUGiSV+n09jhguIE1sLY9iA3ult5248ZrpY6P5wOu
 Wc6ePaNv5rLFBy/dvnE1LTnZtd0xvy7AQUuQCaKBqeS19GSfgEuPHx9i9fFQ
 skpV3XWh+cmX87/uf//4492jxORSp7ntLg4ObExQDeqLz/HvF2y88exVLiI4
 WPmYJdk17JQmpRT5aJT5SmmxQkMJ5IWrDaabeJc9e/BRClcSYkUEKxMTY9BD
 k4x6lcMPXh1nIghAGngXv+Gc7el1+8HnbOI0cGxYyHtIpODBg28SxGlISmeX
 OcQ2+cGr00zEaVDx5zc9x7n4688c4jQw9xnHqZ7j3vf7jySqHLOAprk2PzOG
 BtV52rOFLnLPf38FIczIxCqft+XEylkrTxyp0+ZkY0XWkJ9Q0sq2zzbpZzFC
 g+iyvbsr7V1i4mIcdQIXHD+WjqSBdZPJIT/TzMX899UQGgRT8yfvXl5z5s+b
 4kVz/aUVOJA08G9y2hI6h/dGnASSa0MefarkYmIKfFrFxCS35s12TyQNKr15
 RX3zeHxfmyOnBMXIWUuSDYX4RdVjll5WRPE0h/VSt5sRHaLlqWgByO7cunbH
 opcnpkahhRLbfquHRjc9tVmRhLUn9wuBQzZvPd/hOjQNHEtDrnvf8T2ApIF1
 f+o/kLk80yewan74mYqmYWLJmvz1yfOQRDmuseqyMjG7HAlnYqr+u4cVLaYr
 OrpmNDVWIFu8ol9MNGjdLGGg7Jm7XOhpSXRGzbbyjnIUDzdtX1krDvbFHmGM
 xMfUU76tYmYFE1EArCEtYm/FDFI08MhOmdpHigYmppitHaRp4N0eR5oGJh4+
 dyI1jAIiAABW/FGsr4r3/wAAAABJRU5ErkJggg==

=== dist/maemo/debian/control ===
Source: vultures
Section: user/games
Priority: optional
Maintainer: Marat Fayzullin <marat@komkon.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: vultures
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Nethack with graphical 3D interface
 Vulture's Eye is a version of Nethack with a graphical 3D interface
 similar to the commercial Diablo RPG.
XSBC-Bugtracker: http://talk.maemo.org/
XB-Maemo-Display-Name: Vulture's Eye
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAMAAABg3Am1AAAAAXNSR0IArs4c
 6QAAAv1QTFRFAAEABwAAAQQAAwYCBgkFCgwIDQ8LERMQFBMKFxYOFxgWGxgM
 GhkTHhsQHR0WIR8UIx8PJCEXJyQUJCQdJyUaKiYWLSkaKSooKiwbLCskKi0g
 MCwdMi0YLy0iMC4jNC8aMy8fMC8oLzIlMjMiODMeNzMjMzcpOzYgNjclPjcd
 OTgiPzkkPjkpOzozPTouPzsqPjwwRD0iQz0nPkAtQkEqSEAmR0ErSkMoR0My
 SUMtSUcqSEcwUEcnT0gtR0o9T0kzTksvU0swUk4sUE5BVk4yWE4uU1A0T1E+
 TlFDVFM7XVMzXFM4V1U4WVUzWlg7Xlo3Y1k4XVxDYl00aFw2Y188al8+ZmE4
 X2FNYWFIZGFUZmNFbWI7amQ8bGhEb2lAdGhAamtGbWpMdG0+c21Eb25Vcm9R
 dnBHdXBMfm88eXFCfHBIcnROdXdRd3dMgHhJf3hPgnlEhnhKf3pWfntchnxH
 hX1OhH5UfoBagYBVhYBcgIFsi4FMhIFhgoFnioJSiIVNh4dbkodSiIlii4ho
 jYtZjItflopOk4taloxWk49Xj450lJBYmZBflJJgm5FanZFVlZJymZRWk5Rt
 opZaoZZgnJlnpphWo5ppp5tepptkop9+rqFkraJqqaRrp6RxsaNgq6N3pqV3
 q6h1tqdkr6d7sKlqtahrsqh2r6txrKt9tKtmuqxos650sa56t617sq97u65w
 va5rtrBwsrGDt7J4srR4wbJut7SAu7OGxLVxu7iDvbh+t7iQxLd4yLdtwbly
 wLl5ybl1x7xwzLtwxbuIvr2OyLyEw76Ewr6K0L5tz75zx8CAy8F00MF8zMN8
 yMOIxcSV1cNx1MN4y8iTysqH2ch81cp90suK3cp41cyE28uF3cuA082Sz82e
 3NB81tSK5dF/3tOF3NOL5NKG19Se1das59WJ29iP2den4NqE69eE5tmE4tuZ
 5duT6NyO8duC7t+E7eGT6+GZ8OKN5+Ot9eKV6+aW7ueQ8Oim9umT8+mh+eih
 9+uc/PSW+vm0avvC3gAAAAF0Uk5TAEDm2GYAAAABYktHRACIBR1IAAAACXBI
 WXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH2QwIEwQpwR9i6AAAA8BJREFUSMdj
 YBgFRABmJjBg5uBkUlDhFOOG8nECBu5QDiYmIcGk/kbe2VbBs2dUB2uD9AiZ
 y3Bg18A2pU/F1dVw9dUYy/3cHadOnbpuIQYULzm4erI5NtsYWKftW3wwTXvZ
 Q4XSBpXVp04+jg21ZWIS3Tn1yul8UWwamDoOH74o2HjqHP9GrfjDp06e41h2
 MMB0cgszBxsrKysbNzcnB5qGxlvv3urbnG012sQz89atGxVGRmsevdjM4xUX
 F21rZh7Wc2B2oSknsoY5mw2MVaY8ts4sVdl59epr5ZLJYmK85rbe8clpaVl5
 jd5qK94cj+P1Sg7zsrU1N+RnYLICek1040ORZVpxl65e3M8//4H6ZIdVb96+
 fff2+dFWa0NXbl5RFbOg0IC0zhUryjgZwPYYblshf4Bn8u3bD3LND99TPWsk
 pqOnZ2ysoB3QuHGDdrtlUGiSV+n09jhguIE1sLY9iA3ult5248ZrpY6P5wOu
 Wc6ePaNv5rLFBy/dvnE1LTnZtd0xvy7AQUuQCaKBqeS19GSfgEuPHx9i9fFQ
 skpV3XWh+cmX87/uf//4492jxORSp7ntLg4ObExQDeqLz/HvF2y88exVLiI4
 WPmYJdk17JQmpRT5aJT5SmmxQkMJ5IWrDaabeJc9e/BRClcSYkUEKxMTY9BD
 k4x6lcMPXh1nIghAGngXv+Gc7el1+8HnbOI0cGxYyHtIpODBg28SxGlISmeX
 OcQ2+cGr00zEaVDx5zc9x7n4688c4jQw9xnHqZ7j3vf7jySqHLOAprk2PzOG
 BtV52rOFLnLPf38FIczIxCqft+XEylkrTxyp0+ZkY0XWkJ9Q0sq2zzbpZzFC
 g+iyvbsr7V1i4mIcdQIXHD+WjqSBdZPJIT/TzMX899UQGgRT8yfvXl5z5s+b
 4kVz/aUVOJA08G9y2hI6h/dGnASSa0MefarkYmIKfFrFxCS35s12TyQNKr15
 RX3zeHxfmyOnBMXIWUuSDYX4RdVjll5WRPE0h/VSt5sRHaLlqWgByO7cunbH
 opcnpkahhRLbfquHRjc9tVmRhLUn9wuBQzZvPd/hOjQNHEtDrnvf8T2ApIF1
 f+o/kLk80yewan74mYqmYWLJmvz1yfOQRDmuseqyMjG7HAlnYqr+u4cVLaYr
 OrpmNDVWIFu8ol9MNGjdLGGg7Jm7XOhpSXRGzbbyjnIUDzdtX1krDvbFHmGM
 xMfUU76tYmYFE1EArCEtYm/FDFI08MhOmdpHigYmppitHaRp4N0eR5oGJh4+
 dyI1jAIiAABW/FGsr4r3/wAAAABJRU5ErkJggg==

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp

configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	# Add here commands to compile the package.
	$(MAKE) -C dist/maemo build
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	# Add here commands to clean up after the build process.
	$(MAKE) -C dist/maemo clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	# Add here commands to install the package into debian/vultures.
	$(MAKE) -C dist/maemo install DESTDIR=$(CURDIR)/debian/vultures


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== dist/maemo/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp

configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	# Add here commands to compile the package.
	$(MAKE) build
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	# Add here commands to clean up after the build process.
	$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	# Add here commands to install the package into debian/vultures.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/vultures


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## vultures 2.2.100-1maemo2

=== dist/maemo/Makefile ===
--- 
+++ 
@@ -1,4 +1,12 @@
 DIR	= `pwd`
+
+ifeq ($(shell expr "$(MAEMO_VERSION)" "<" 5), 1)
+	MAEMODATADIR=/media/mmc2/share/vultures
+	EXTRACFLAGS=-Os
+else
+	MAEMODATADIR=/opt/vultures
+	EXTRACFLAGS=-Os
+endif
 
 all:
 	make build
@@ -6,7 +14,8 @@
 build:
 	make --directory=../.. PREFIX=$(DIR) GAMEDIR=$(DIR)/vultures.dir \
 	SHELLDIR=$(DIR) GAMEPERM=0755 CHOWN=true CHGRP=true \
-	-C nethack install >/dev/null
+	EXTRACFLAGS="$(EXTRACFLAGS)" \
+	-C nethack install
 
 clean:
 	make --directory=../.. clean
@@ -14,7 +23,12 @@
 
 install:
 	# Replace game directory name and install startup script
-	sed -e 's/^HACKDIR=.*/HACKDIR=\/opt\/vultures/' vultureseye >tmp
+	sed -e 's/^HACKDIR=.*/HACKDIR=$(subst /,\/,$(MAEMODATADIR))/' vultureseye >tmp
+ifeq ($(shell expr "$(MAEMO_VERSION)" "<" 5), 1)
+	# On Diablo, we will install the binary in rootfs
+	sed -e 's/^HACK=.*/HACK=\/usr\/games\/vultureseye\.bin/' tmp >tmp2
+	mv tmp2 tmp
+endif
 	install -m 755 -D tmp $(DESTDIR)/usr/bin/vultureseye
 	# Replace screen parameters in the default config
 	cat vultures.dir/config/vultures.conf | \
@@ -23,8 +37,13 @@
 	  sed -e 's/^fullscreen=.*/fullscreen=1/' >tmp
 	mv tmp vultures.dir/config/vultures.conf
 	# Install game data
-	install -m 644 -dD vultures.dir $(DESTDIR)/opt/vultures
-	cp -r vultures.dir/* $(DESTDIR)/opt/vultures
+	install -m 755 -dD vultures.dir $(DESTDIR)$(MAEMODATADIR)
+	cp -r vultures.dir/* $(DESTDIR)$(MAEMODATADIR)
+ifeq ($(shell expr "$(MAEMO_VERSION)" "<" 5), 1)
+	# On Diablo, install the binary in rootfs
+	install -m 755 -d $(DESTDIR)/usr/games
+	mv $(DESTDIR)$(MAEMODATADIR)/vultureseye $(DESTDIR)/usr/games/vultureseye.bin
+endif
 	# Install icons, etc
 	install -m 644 -D vultures-26x26.png $(DESTDIR)/usr/share/icons/hicolor/26x26/hildon/vultures.png
 	install -m 644 -D vultures-40x40.png $(DESTDIR)/usr/share/icons/hicolor/40x40/hildon/vultures.png
@@ -32,7 +51,7 @@
 	install -m 644 -D vultures.desktop $(DESTDIR)/usr/share/applications/hildon/vultures.desktop
 
 uninstall:
-	rm -rf $(DESTDIR)/opt/vultures
+	rm -rf $(DESTDIR)$(MAEMODATADIR)
 	rm -f $(DESTDIR)/usr/bin/vultureseye
 	rm -f $(DESTDIR)/usr/share/applications/hildon/vultures.desktop
 	rm -f $(DESTDIR)/usr/share/icons/hicolor/26x26/hildon/vultures.png

=== debian/changelog ===
vultures (2.2.100-1maemo2) stable; urgency=low

  * Creating Diablo package.
  * New postrm/postinst scripts that can handle package upgrades.
  * Build with -Os.

 -- Javier <maemo@javispedro.com>  Sat, 12 Dec 2009 21:06:23 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
+
+MAEMO_VERSION := $(shell cut -d"." -f1 /etc/maemo_version)
+export MAEMO_VERSION
 
 CFLAGS = -Wall -g
 
@@ -62,22 +65,15 @@
 	dh_installdocs
 	dh_installexamples
 #	dh_install
-#	dh_installmenu
-#	dh_installdebconf	
-#	dh_installlogrotate
-#	dh_installemacsen
-#	dh_installpam
-#	dh_installmime
-#	dh_installinit
-#	dh_installcron
-#	dh_installinfo
 	dh_installman
 	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms
-#	dh_perl
-#	dh_python
+ifeq ($(shell expr "$(MAEMO_VERSION)" "<" 5), 1)
+#	Fixing permissions manually, since those files are going to a FAT32 volume.
+	chown -R user:root $(CURDIR)/debian/vultures/media/mmc2/share
+endif
 #	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps

## vultures 2.2.100-1maemo5

=== Makefile ===
# ----------------------------------------------------------------
#  NOTE
# ----------------------------------------------------------------
# You are probably looking for the contents of GNUmakefile
# This Makefile is just a stub for those systems that do not
# default to using GNU make.
# ----------------------------------------------------------------
default:
	@echo "This is merely a makefile stub to ensure that you use GNU make instead".

test:
	gmake test

home:
	gmake home

nethack-home:
	gmake nethack-home

slashem-home:
	gmake slashem-home

distfiles:
	gmake distfiles

=== slashem/Makefile ===
all:

clean:

build:

=== dist/maemo/Makefile ===
--- 
+++ 
@@ -2,10 +2,10 @@
 
 ifeq ($(shell expr "$(MAEMO_VERSION)" "<" 5), 1)
 	MAEMODATADIR=/media/mmc2/share/vultures
-	EXTRACFLAGS=-Os
+	EXTRACFLAGS=-Os -DSCREEN_DEPTH=16
 else
 	MAEMODATADIR=/opt/vultures
-	EXTRACFLAGS=-Os
+	EXTRACFLAGS=-Os -DSCREEN_DEPTH=32
 endif
 
 all:
@@ -19,6 +19,7 @@
 
 clean:
 	make --directory=../.. clean
+	rm -f ../../nethack/src/vultureseye
 	rm -rf vultureseye vultures.dir debian/vultures
 
 install:

=== debian/changelog ===
vultures (2.2.100-1maemo5) stable; urgency=low

  * Make clean now removes vultureseye binary in nethack/src.

 -- Javier <maemo@javispedro.com>  Mon, 18 Jan 2010 20:10:19 +0100

vultures (2.2.100-1maemo4) stable; urgency=low

  * Using Quilt for Diablo fixes.
  * Use 16bpp framebuffer in Diablo.
  * Use gzip for save game compression.
  * Do not use hard links as lock files.

 -- Javier <maemo@javispedro.com>  Mon, 18 Jan 2010 19:24:12 +0100

vultures (2.2.100-1maemo3) stable; urgency=low

  * Removed SlashEm from source tarball. 

 -- Javier <maemo@javispedro.com>  Mon, 18 Jan 2010 17:08:48 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,10 @@
 # This special exception was added by Craig Small in version 0.37 of dh-make.
 
 # Uncomment this to turn on verbose mode.
-export DH_VERBOSE=1
+#export DH_VERBOSE=1
+
+# Using quilt
+include /usr/share/quilt/quilt.make
 
 MAEMO_VERSION := $(shell cut -d"." -f1 /etc/maemo_version)
 export MAEMO_VERSION
@@ -22,25 +25,22 @@
 
 configure: configure-stamp
 
-configure-stamp:
+configure-stamp: $(QUILT_STAMPFN)
 	dh_testdir
-	# Add here commands to configure the package.
 	touch configure-stamp
 
 
 build: build-stamp
 
-build-stamp: configure-stamp 
+build-stamp: configure-stamp
 	dh_testdir
-	# Add here commands to compile the package.
 	$(MAKE) -C dist/maemo build
 	touch build-stamp
 
-clean:
+clean: unpatch
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
-	# Add here commands to clean up after the build process.
 	$(MAKE) -C dist/maemo clean
 	dh_clean 
 
@@ -49,7 +49,6 @@
 	dh_testroot
 	dh_clean -k 
 	dh_installdirs
-	# Add here commands to install the package into debian/vultures.
 	$(MAKE) -C dist/maemo install DESTDIR=$(CURDIR)/debian/vultures
 
 
@@ -70,13 +69,14 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
+	dh_installdeb
+	dh_shlibdeps
 ifeq ($(shell expr "$(MAEMO_VERSION)" "<" 5), 1)
 #	Fixing permissions manually, since those files are going to a FAT32 volume.
 	chown -R user:root $(CURDIR)/debian/vultures/media/mmc2/share
+	chown -R user:root $(CURDIR)/debian/vultures/media/mmc2/share/vultures/tiles
+#	Don't ask
 endif
-#	dh_makeshlibs
-	dh_installdeb
-	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb

## vultures 2.2.100-1maemo6

=== dist/maemo/Makefile ===
--- 
+++ 
@@ -37,6 +37,8 @@
 	  sed -e 's/^screen_ysize=.*/screen_ysize=480/' | \
 	  sed -e 's/^fullscreen=.*/fullscreen=1/' >tmp
 	mv tmp vultures.dir/config/vultures.conf
+	# Replace game graphics with Maemo versions
+	cp -r graphics/* vultures.dir/graphics
 	# Install game data
 	install -m 755 -dD vultures.dir $(DESTDIR)$(MAEMODATADIR)
 	cp -r vultures.dir/* $(DESTDIR)$(MAEMODATADIR)

=== debian/changelog ===
vultures (2.2.100-1maemo6) stable; urgency=low

  * Imported new, resized graphics from Arnim Sauerbier.

 -- Marat Fayzullin <marat@komkon.org>  Mon, 22 Feb 2010 13:51:56 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: user/games
 Priority: optional
 Maintainer: Marat Fayzullin <marat@komkon.org>
-Build-Depends: debhelper (>= 4.0.0), gnupg, libpng12-dev, libsdl-mixer1.2-dev, libsdl-ttf2.0-dev
+Uploaders: Javier S. Pedro <maemo@javispedro.com>
+Build-Depends: debhelper (>= 4.0.0), gnupg, libpng12-dev, libsdl-mixer1.2-dev,
+ libsdl-ttf2.0-dev, quilt, maemo-version
 Standards-Version: 3.6.1
 
 Package: vultures

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,8 @@
 # Using quilt
 include /usr/share/quilt/quilt.make
 
-MAEMO_VERSION := $(shell cut -d"." -f1 /etc/maemo_version)
+#MAEMO_VERSION := $(shell cut -d"." -f1 /etc/maemo_version)
+MAEMO_VERSION := 5
 export MAEMO_VERSION
 
 CFLAGS = -Wall -g

## vultures 2.2.100-1maemo7

=== debian/changelog ===
vultures (2.2.100-1maemo7) stable; urgency=low

  * Added a "valid" (as understood by maemo.org nutballs) bug tracker URL.

 -- Marat Fayzullin <marat@komkon.org>  Sun, 21 Mar 2010 13:51:56 +0300

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Description: Nethack with graphical 3D interface
  Vulture's Eye is a version of Nethack with a graphical 3D interface
  similar to the commercial Diablo RPG.
-XSBC-Bugtracker: http://talk.maemo.org/
+XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=41365
 XB-Maemo-Display-Name: Vulture's Eye
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAMAAABg3Am1AAAAAXNSR0IArs4c
